Skip to content

Federation Connections

Federation connections are part of Enterprise login. They represent a way to authenticate with a remote Identity Provider (IdP) using SAML or OIDC. You can set up different types of connections and assign them to individual or groups of tenants.


GET https://api.thebridge.dev/account/federation/connection

HTTP 200 — Array of Federation Connection objects.

Request example

curl --request GET 'https://api.thebridge.dev/account/federation/connection' \
--header 'x-api-key: YOUR_APP_API_KEY'

Response example:

[
{
"id": "6571edf9dc018000227ac448",
"type": "saml",
"name": "ACME SAML",
"clientId": "client_1234",
"loginUrl": "https://mocksaml.com/api/saml/sso",
"certificate": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----",
"requestMethod": "GET",
"signedRequest": false,
"createdAt": "2023-12-07T16:08:25.061Z"
}
]
GET Try it out
GET https://api.thebridge.dev/account/federation/connection
Stored in session memory only. Never persisted.

GET https://api.thebridge.dev/account/federation/connection/:CONNECTION_ID

HTTP 200 — Returns the connection object.

GET Try it out
GET https://api.thebridge.dev/account/federation/connection/:CONNECTION_ID
Stored in session memory only. Never persisted.
The ID of the connection

POST https://api.thebridge.dev/account/federation/connection

Body Parameters

ParameterTypeRequiredDescription
namestringRequiredConnection name. Visible to users when logging in
clientIdstringOptionalThe identifier assigned by the IdP
loginUrlstringRequiredThe URL where the IdP expects SAML requests
certificatestringRequiredPublic key certificate from the IdP
requestMethodstringOptionalHTTP GET Redirect (most common) or HTTP POST
signedRequestbooleanOptionalWhether the IdP requires signed SAML requests
signedRequestAlgorithmstringOptionalsha256 or sha512. Required if signedRequest is true
privateKeystringOptionalRequest signing private key. Required if signedRequest is true

Returns the created Federation Connection model.

Request example

curl --request POST 'https://api.thebridge.dev/account/federation/connection' \
--header 'x-api-key: YOUR_APP_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
  "type": "saml",
  "name": "My connection",
  "clientId": "client_1234",
  "loginUrl": "https://mocksaml.com/api/saml/sso",
  "certificate": "MIIC4jCCAco...",
  "requestMethod": "GET",
  "signedRequest": false
}'
POST Try it out
POST https://api.thebridge.dev/account/federation/connection
Stored in session memory only. Never persisted.

PUT https://api.thebridge.dev/account/federation/connection/:CONNECTION_ID

PUT Try it out
PUT https://api.thebridge.dev/account/federation/connection/:CONNECTION_ID
Stored in session memory only. Never persisted.
The ID of the connection

DELETE https://api.thebridge.dev/account/federation/connection/:CONNECTION_ID

DELETE Try it out
DELETE https://api.thebridge.dev/account/federation/connection/:CONNECTION_ID
Stored in session memory only. Never persisted.
The ID of the connection